Index: code/branches/releasetodo/data/levels/Fight in our Back.oxw
===================================================================
--- code/branches/releasetodo/data/levels/Fight in our Back.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/Fight in our Back.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+  name = "Fight in our Back"
+  description = "Our fleet is far ahead of us. We need to get rid of all the enemies in its back, because we do not want our enemies to attack from everywhere. So let us clear this Sector!"
+  tags = "deathmatch, quests" 
+/>
+
 <?lua
     include("stats.oxo")
Index: code/branches/releasetodo/data/levels/Quest_PirateAttack.oxw
===================================================================
--- code/branches/releasetodo/data/levels/Quest_PirateAttack.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/Quest_PirateAttack.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Pirate Attack"
+ description = "Dani's Testlevel"
+ tags = "test, quests"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/The Time Machine.oxw
===================================================================
--- code/branches/releasetodo/data/levels/The Time Machine.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/The Time Machine.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "The Time Machine"
+ description = "A simple level. The only goal is to defeat as much enemies as you can."
+ tags = "deathmatch"
+/>
+
 <?lua 
     include("stats.oxo")
Index: code/branches/releasetodo/data/levels/empty_level.oxw
===================================================================
--- code/branches/releasetodo/data/levels/empty_level.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/empty_level.oxw	(revision 7629)
@@ -2,5 +2,5 @@
  name = "Empty level"
  description = "A level with absolutely nothing in it."
- tags = "test, empty"
+ tags = "empty"
 />
 
Index: code/branches/releasetodo/data/levels/events.oxw
===================================================================
--- code/branches/releasetodo/data/levels/events.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/events.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+  name = "Events showcase"
+  description = "Level to test and showcase events."
+  tags = "test, showcase, events" 
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/fps_test.oxw
===================================================================
--- code/branches/releasetodo/data/levels/fps_test.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/fps_test.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "FPS testlevel"
+ description = "Level to test First Person Shooter"
+ tags = "test, FPS"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/pickups.oxw
===================================================================
--- code/branches/releasetodo/data/levels/pickups.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/pickups.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Pickups showcase"
+ description = "Level to test and showcase pickups."
+ tags = "test, showcase, pickups"
+/>
+
 <?lua
   include("stats.oxo")
Index: code/branches/releasetodo/data/levels/presentation.oxw
===================================================================
--- code/branches/releasetodo/data/levels/presentation.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/presentation.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation"
+ description = "Presentation Level"
+ tags = "presentation"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/presentation09.oxw
===================================================================
--- code/branches/releasetodo/data/levels/presentation09.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/presentation09.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation X"
+ description = "1st Presentation level for Orxonox Convention X"
+ tags = "presentation"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/presentation09b.oxw
===================================================================
--- code/branches/releasetodo/data/levels/presentation09b.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/presentation09b.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation X2"
+ description = "2nd Presentation level for Orxonox Convention X"
+ tags = "presentation"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/presentationFS10.oxw
===================================================================
--- code/branches/releasetodo/data/levels/presentationFS10.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/presentationFS10.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation XI"
+ description = "1st Presentation level for Orxonox Convention XI"
+ tags = "presentation"
+/>
+
 <?lua
   include("stats.oxo")
Index: code/branches/releasetodo/data/levels/presentationHS09.oxw
===================================================================
--- code/branches/releasetodo/data/levels/presentationHS09.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/presentationHS09.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation X"
+ description = "1st Presentation level for Orxonox Convention X"
+ tags = "presentation"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/presentationHS09b.oxw
===================================================================
--- code/branches/releasetodo/data/levels/presentationHS09b.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/presentationHS09b.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation X"
+ description = "2nd Presentation level for Orxonox Convention X"
+ tags = "presentation"
+/>
+
 <?lua
   include("stats.oxo")
Index: code/branches/releasetodo/data/levels/presentation_FS10.oxw
===================================================================
--- code/branches/releasetodo/data/levels/presentation_FS10.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/presentation_FS10.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation XI FPS"
+ description = "2nd Presentation level for Orxonox Convention XI, FPS"
+ tags = "presentation, fps"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/presentation_FS10_ed.oxw
===================================================================
--- code/branches/releasetodo/data/levels/presentation_FS10_ed.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/presentation_FS10_ed.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation XI FPS"
+ description = "3rd Presentation level for Orxonox Convention XI, FPS"
+ tags = "presentation, fps"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/presentation_dm.oxw
===================================================================
--- code/branches/releasetodo/data/levels/presentation_dm.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/presentation_dm.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation DM"
+ description = "Presentation Level"
+ tags = "presentation"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/princessaeryn.oxw
===================================================================
--- code/branches/releasetodo/data/levels/princessaeryn.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/princessaeryn.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "The Tale of Princess Aeryn"
+ description = "The Tale of the elusive but beautiful Princess Aeryn"
+ tags = "quests"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/screenshot.oxw
===================================================================
--- code/branches/releasetodo/data/levels/screenshot.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/screenshot.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Screenshot"
+ description = "Level to make awesome screenshots in."
+ tags = "test, screenshot"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/sound.oxw
===================================================================
--- code/branches/releasetodo/data/levels/sound.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/sound.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Sound showcase"
+ description = "Level to test and showcase sound."
+ tags = "test, sound"
+/>
+
 <?lua
   include("stats.oxo")
Index: code/branches/releasetodo/data/levels/teambasematchlevel.oxw
===================================================================
--- code/branches/releasetodo/data/levels/teambasematchlevel.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/teambasematchlevel.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Teambase Match"
+ description = "Fight for the bases."
+ tags = ""
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/teamdeathmatch.oxw
===================================================================
--- code/branches/releasetodo/data/levels/teamdeathmatch.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/teamdeathmatch.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Team Deathmatch"
+ description = "Fight against each other in teams."
+ tags = "deathmatch"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/test_stars.oxw
===================================================================
--- code/branches/releasetodo/data/levels/test_stars.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/test_stars.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Stars Testlevel"
+ description = "Level to test stars"
+ tags = "test, stars"
+/>
+
 <?lua
   include("stats.oxo")
Index: code/branches/releasetodo/data/levels/test_swallow.oxw
===================================================================
--- code/branches/releasetodo/data/levels/test_swallow.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/test_swallow.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Swallow Testlevel"
+ description = "Level to test the swallow spaceship."
+ tags = "test, swallow"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/tutorial.oxw
===================================================================
--- code/branches/releasetodo/data/levels/tutorial.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/tutorial.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Coding Tutorial"
+ description = "Level for the coding tutorial."
+ tags = "tutorial"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/branches/releasetodo/data/levels/waypoints.oxw
===================================================================
--- code/branches/releasetodo/data/levels/waypoints.oxw	(revision 7628)
+++ code/branches/releasetodo/data/levels/waypoints.oxw	(revision 7629)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Waypoints Testlevel"
+ description = "Testing waypoings for AI controlled spaceships."
+ tags = "test, waypoints"
+/>
+
 <?lua
   include("hudtemplates3.oxo")