Index: code/branches/lastmanstanding/data/overlays/lastmanstandinghud.oxo
===================================================================
--- code/branches/lastmanstanding/data/overlays/lastmanstandinghud.oxo	(revision 7617)
+++ code/branches/lastmanstanding/data/overlays/lastmanstandinghud.oxo	(revision 7635)
@@ -20,4 +20,66 @@
      align    = "center"
     />
+    <!--LastManStandingInfos
+     position  = "0.63, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "0.8, 0.8, 1.0, 1.0"
+     align     = "right"
+
+     showlives     = true
+     showplayers     = false
+    /-->
+
+    <OverlayText
+     position  = "0.02, 0.02"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "Lives:   "
+    />
+
+    <OverlayText
+     position  = "0.02, 0.055"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "Players: "
+    />
+
+    <OverlayText
+     position  = "0.02, 0.07"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "__________|"
+    />
+
+    <OverlayText
+     position  = "0.022, 0.07"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "__________"
+    />
+
+    <OverlayText
+     position  = "0.1733, 0.038"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "|"
+    />
+
   </OverlayGroup>
 </Template>
Index: code/branches/lastmanstanding/src/modules/overlays/hud/CMakeLists.txt
===================================================================
--- code/branches/lastmanstanding/src/modules/overlays/hud/CMakeLists.txt	(revision 7617)
+++ code/branches/lastmanstanding/src/modules/overlays/hud/CMakeLists.txt	(revision 7635)
@@ -15,3 +15,4 @@
   GametypeStaticMessage.cc
   GametypeFadingMessage.cc
+  LastManStandingInfos.cc
 )
Index: code/branches/lastmanstanding/src/modules/overlays/hud/LastManStandingInfos.cc
===================================================================
--- code/branches/lastmanstanding/src/modules/overlays/hud/LastManStandingInfos.cc	(revision 7635)
+++ code/branches/lastmanstanding/src/modules/overlays/hud/LastManStandingInfos.cc	(revision 7635)
@@ -0,0 +1,86 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Johannes Ritz
+ *   Co-authors:
+ *      Fabian 'x3n' Landau
+ *
+ */
+
+#include "LastManStandingInfos.h"
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "util/Convert.h"
+#include "gametypes/LastManStanding.h"
+#include "infos/PlayerInfo.h"
+
+namespace orxonox
+{
+    CreateFactory(LastManStandingInfos);
+
+    LastManStandingInfos::LastManStandingInfos(BaseObject* creator) : OverlayText(creator)
+    {
+        RegisterObject(LastManStandingInfos);
+
+        this->owner_ = 0;
+        this->bShowLives_ = false;
+        this->bShowPlayers_ = false;
+    }
+
+    LastManStandingInfos::~LastManStandingInfos()
+    {
+    }
+
+    void LastManStandingInfos::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(LastManStandingInfos, XMLPort, xmlelement, mode);
+
+        XMLPortParam(LastManStandingInfos, "showlives",     setShowLives,     getShowLives,     xmlelement, mode).defaultValues(false);
+        XMLPortParam(LastManStandingInfos, "showplayers",     setShowPlayers,     getShowPlayers,     xmlelement, mode).defaultValues(false);
+    }
+
+    void LastManStandingInfos::tick(float dt)
+    {
+        SUPER(LastManStandingInfos, tick, dt);
+
+        if (this->owner_)
+        {
+
+            Pawn* pawn = dynamic_cast<Pawn*>(this->getOwner()->getControllableEntity());
+            /*LastManStanding* */ owner_ = dynamic_cast<LastManStanding*>(this->getOwner()->getGametype());
+            int iLives = this->owner_->pawnGetLives(pawn);
+            const std::string& lives = multi_cast<std::string>(iLives);
+
+            const std::string& players = multi_cast<std::string>(this->owner_->playersAlive);
+
+            if (this->bShowLives_)
+            {
+                this->setCaption(lives);
+            }
+            else if(this->bShowPlayers_)
+            {
+                this->setCaption(players);
+            }
+        }
+    }
+}
Index: code/branches/lastmanstanding/src/modules/overlays/hud/LastManStandingInfos.h
===================================================================
--- code/branches/lastmanstanding/src/modules/overlays/hud/LastManStandingInfos.h	(revision 7635)
+++ code/branches/lastmanstanding/src/modules/overlays/hud/LastManStandingInfos.h	(revision 7635)
@@ -0,0 +1,64 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Johannes Ritz
+ *   Co-authors:
+ *      Fabian 'x3n' Landau
+ *
+ */
+
+#ifndef _LastManStandingInfos_H__
+#define _LastManStandingInfos_H__
+
+#include "overlays/OverlaysPrereqs.h"
+
+#include "tools/interfaces/Tickable.h"
+#include "overlays/OverlayText.h"
+
+namespace orxonox
+{
+    class _OverlaysExport LastManStandingInfos : public OverlayText, public Tickable
+    {
+        public:
+            LastManStandingInfos(BaseObject* creator);
+            virtual ~LastManStandingInfos();
+
+            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+
+            inline void setShowLives(bool value)
+                { this->bShowLives_ = value; }
+            inline bool getShowLives() const
+                { return this->bShowLives_; }
+
+            inline void setShowPlayers(bool value)
+                { this->bShowPlayers_ = value; }
+            inline bool getShowPlayers() const
+                { return this->bShowPlayers_; }
+
+        private:
+            LastManStanding* owner_;
+            bool bShowLives_;
+            bool bShowPlayers_;
+    };
+}
+#endif /* _LastManStandingInfos_H__ */
Index: code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.cc
===================================================================
--- code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.cc	(revision 7617)
+++ code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.cc	(revision 7635)
@@ -147,4 +147,21 @@
     }
 
+    int LastManStanding::pawnGetLives(Pawn* pawn)
+    {
+        if(!pawn)
+            return -1;
+        PlayerInfo* player= dynamic_cast<PlayerInfo*>(pawn);
+        if(!player)
+            return -2;
+        return playerLives_[player];
+    }
+
+    const int LastManStanding::playerGetLives(PlayerInfo* player)
+    {
+        if (player)
+            return  playerLives_[player];
+        else
+            return 0;
+    }
 
     void LastManStanding::playerEntered(PlayerInfo* player)
@@ -224,12 +241,4 @@
     }
 
-    const int LastManStanding::playerGetLives(PlayerInfo* player)
-    {
-        if (player)
-            return  playerLives_[player];
-        else
-            return 0;
-    }
-
     void LastManStanding::punishPlayer(PlayerInfo* player)
     {
Index: code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.h
===================================================================
--- code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.h	(revision 7617)
+++ code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.h	(revision 7635)
@@ -73,4 +73,6 @@
 
             virtual void end(); //!< Sends an end message.
+            virtual int pawnGetLives(Pawn* pawn); //!< Returns amount of Lives of a certain player.
+            const int playerGetLives(PlayerInfo* player); //!< getFunction for the map "playerLives_".
             virtual void playerEntered(PlayerInfo* player); //!< Initializes values. Manages the gametype's HUD. #Players alive via StaticMessage.
             virtual bool playerLeft(PlayerInfo* player); //!< Manages the gametype's HUD. #Players alive via StaticMessage.
@@ -78,5 +80,4 @@
             virtual void playerStopsControllingPawn(PlayerInfo* player, Pawn* pawn);  //!< Manages the gametype's HUD. #Players alive via StaticMessage.
 
-            const int playerGetLives(PlayerInfo* player); //!< getFunction for the map "playerLives_".
             void punishPlayer(PlayerInfo* player); //!< Function in order to kill a player. Punishment for hiding longer than "timeRemaining".
             void tick (float dt); //!< used to end the game