Index: branches/qt_gui/src/lib/gui/Makefile.am
===================================================================
--- branches/qt_gui/src/lib/gui/Makefile.am	(revision 7635)
+++ branches/qt_gui/src/lib/gui/Makefile.am	(revision 7636)
@@ -23,5 +23,6 @@
 SUBDIRS = \
 	. \
-	gtk_gui \
 	gl_gui \
 	qt_gui
+
+#	gtk_gui
Index: branches/qt_gui/src/lib/gui/qt_gui/Makefile.am
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/Makefile.am	(revision 7635)
+++ branches/qt_gui/src/lib/gui/qt_gui/Makefile.am	(revision 7636)
@@ -25,5 +25,7 @@
 		gui_audio.cc \
 		gui_general.cc \
-		gui_general_moc.cc
+		gui_general_moc.cc \
+		gui_control.cc \
+		gui_control_moc.cc
 
 
@@ -35,5 +37,6 @@
 		gui_video.h \
 		gui_audio.h \
-		gui_general.cc
+		gui_general.h \
+		gui_control.h
 
 
Index: branches/qt_gui/src/lib/gui/qt_gui/gui_audio.cc
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/gui_audio.cc	(revision 7635)
+++ branches/qt_gui/src/lib/gui/qt_gui/gui_audio.cc	(revision 7636)
@@ -45,6 +45,6 @@
 
     {
-      QtGuiCheckBox* fullscreen = new QtGuiCheckBox(CONFIG_NAME_DISABLE_AUDIO, this, true);
-      layout->addWidget(fullscreen, 0, 0);
+      QtGuiCheckBox* disableAudio = new QtGuiCheckBox(CONFIG_NAME_DISABLE_AUDIO, this, false);
+      layout->addWidget(disableAudio, 0, 0);
 
 
Index: branches/qt_gui/src/lib/gui/qt_gui/gui_control.cc
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/gui_control.cc	(revision 7636)
+++ branches/qt_gui/src/lib/gui/qt_gui/gui_control.cc	(revision 7636)
@@ -0,0 +1,66 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software Foundation,
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+
+*/
+
+
+#include "gui_control.h"
+
+#include <QtGui/QLayout>
+#include "globals.h"
+#include "debug.h"
+#include "qt_gui_elements.h"
+
+#include "lib/event/key_mapper.h"
+#include "lib/event/key_names.h"
+
+namespace OrxGui
+{
+  /**
+   *  Creates the Control-Option-Frame
+  */
+  GuiControl::GuiControl(OrxGui::Gui* gui)
+      : Element(CONFIG_SECTION_CONTROL, gui), QGroupBox()
+  {
+    QGridLayout* layout = new QGridLayout(this);
+
+    {
+      QLabel* keyLabel = new QLabel;
+
+
+
+
+    }
+
+
+  }
+
+  /**
+   *  Destructs the Control-stuff
+  */
+  GuiControl::~GuiControl()
+  {
+    // nothing to do here.
+  }
+
+}
Index: branches/qt_gui/src/lib/gui/qt_gui/gui_control.h
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/gui_control.h	(revision 7636)
+++ branches/qt_gui/src/lib/gui/qt_gui/gui_control.h	(revision 7636)
@@ -0,0 +1,39 @@
+/*!
+  \file gui_control.h
+  \brief File that holds the class that creates the Control-Options.
+*/
+#ifndef _GUI_CONTROL_H
+#define _GUI_CONTROL_H
+
+#include "../gui_element.h"
+#include <vector>
+#include <string>
+#include <QtGui/QGroupBox>
+#include "../gui_saveable.h"
+
+namespace OrxGui
+{
+  //! Class that creates the Control-Options.
+  class GuiControl : public OrxGui::Element, public QGroupBox
+  {
+  public:
+    GuiControl(OrxGui::Gui* gui);
+    virtual ~GuiControl();
+
+  private:
+  };
+
+  class GuiControlInput : public QGroupBox, public OrxGui::Saveable
+  {
+    Q_OBJECT
+    GuiControlInput(const std::string& name, SaveableGroup* group, const std::string& defaultValue);
+
+    public slots:
+
+    signals:
+      void optionChanged();
+  };
+
+}
+
+#endif /* _GUI_CONTROL_H */
Index: branches/qt_gui/src/lib/gui/qt_gui/qt_gui.cc
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/qt_gui.cc	(revision 7635)
+++ branches/qt_gui/src/lib/gui/qt_gui/qt_gui.cc	(revision 7636)
@@ -23,10 +23,12 @@
 
 #include "qt_gui_elements.h"
+#include "q_image_widget.h"
+
 #include "gui_video.h"
 #include "gui_audio.h"
+#include "gui_control.h"
 #include "gui_general.h"
+
 #include "banner.xpm"
-#include <QtGui/QPainter>
-#include "q_image_widget.h"
 
 namespace OrxGui
@@ -54,4 +56,5 @@
         toolBox->addItem(new GuiVideo(this), "Video");
         toolBox->addItem(new GuiAudio(this), "Audio");
+        toolBox->addItem(new GuiControl(this), "Control");
         toolBox->addItem(new GuiGeneral(this), "General");
       }