Index: branches/qt_gui/src/lib/event/key_mapper.cc
===================================================================
--- branches/qt_gui/src/lib/event/key_mapper.cc	(revision 7637)
+++ branches/qt_gui/src/lib/event/key_mapper.cc	(revision 7638)
@@ -27,4 +27,5 @@
 #include "util/preferences.h"
 #include "key_names.h"
+#include "event_def.h"
 #include "debug.h"
 
@@ -72,37 +73,36 @@
  */
 KeyMapper::KeyMapping KeyMapper::map[] = {
-  {&KeyMapper::PEV_FORWARD,              CONFIG_NAME_PLAYER_FORWARD},
-  {&KeyMapper::PEV_BACKWARD,             CONFIG_NAME_PLAYER_BACKWARD},
-  {&KeyMapper::PEV_UP,                   CONFIG_NAME_PLAYER_UP},
-  {&KeyMapper::PEV_DOWN,                 CONFIG_NAME_PLAYER_DOWN},
-  {&KeyMapper::PEV_LEFT,                 CONFIG_NAME_PLAYER_LEFT},
-  {&KeyMapper::PEV_RIGHT,                CONFIG_NAME_PLAYER_RIGHT},
-  {&KeyMapper::PEV_ROLL_LEFT,            CONFIG_NAME_PLAYER_ROLL_RIGHT},
-  {&KeyMapper::PEV_ROLL_RIGHT,           CONFIG_NAME_PLAYER_ROLL_LEFT},
-  {&KeyMapper::PEV_STRAFE_LEFT,          "StrafeLeft"},
-  {&KeyMapper::PEV_STRAFE_RIGHT,         "StrafeRight"},
-
-  {&KeyMapper::PEV_FIRE1,                CONFIG_NAME_PLAYER_FIRE},
-  {&KeyMapper::PEV_FIRE1,                "Fire1"},
-  {&KeyMapper::PEV_FIRE2,                "Fire2"},
-  {&KeyMapper::PEV_NEXT_WEAPON,          CONFIG_NAME_PLAYER_NEXT_WEAPON},
-  {&KeyMapper::PEV_PREVIOUS_WEAPON,      CONFIG_NAME_PLAYER_PREV_WEAPON},
-
-  {&KeyMapper::PEV_CHANGE_SHIP,          CONFIG_NAME_PLAYER_CHANGE_SHIP},
-
-
-  {&KeyMapper::PEV_VIEW0,                CONFIG_NAME_VIEW0},
-  {&KeyMapper::PEV_VIEW1,                CONFIG_NAME_VIEW1},
-  {&KeyMapper::PEV_VIEW2,                CONFIG_NAME_VIEW2},
-  {&KeyMapper::PEV_VIEW3,                CONFIG_NAME_VIEW3},
-  {&KeyMapper::PEV_VIEW4,                CONFIG_NAME_VIEW4},
-  {&KeyMapper::PEV_VIEW5,                CONFIG_NAME_VIEW5},
-
-  {&KeyMapper::PEV_NEXT_WORLD,           CONFIG_NAME_NEXT_WORLD},
-  {&KeyMapper::PEV_PREVIOUS_WORLD,       CONFIG_NAME_PREV_WORLD},
-
-  {&KeyMapper::PEV_PAUSE,                CONFIG_NAME_PAUSE},
-  {&KeyMapper::PEV_QUIT,                 CONFIG_NAME_QUIT},
-  {NULL, ""}
+  {&KeyMapper::PEV_FORWARD,              CONFIG_NAME_PLAYER_FORWARD,         SDLK_w},
+  {&KeyMapper::PEV_BACKWARD,             CONFIG_NAME_PLAYER_BACKWARD,        SDLK_s},
+  {&KeyMapper::PEV_UP,                   CONFIG_NAME_PLAYER_UP,              SDLK_r},
+  {&KeyMapper::PEV_DOWN,                 CONFIG_NAME_PLAYER_DOWN,            SDLK_f},
+  {&KeyMapper::PEV_LEFT,                 CONFIG_NAME_PLAYER_LEFT,            SDLK_a},
+  {&KeyMapper::PEV_RIGHT,                CONFIG_NAME_PLAYER_RIGHT,           SDLK_d},
+  {&KeyMapper::PEV_ROLL_RIGHT,           CONFIG_NAME_PLAYER_ROLL_LEFT,       SDLK_z},
+  {&KeyMapper::PEV_ROLL_LEFT,            CONFIG_NAME_PLAYER_ROLL_RIGHT,      SDLK_c},
+  {&KeyMapper::PEV_STRAFE_LEFT,          "StrafeLeft",                       SDLK_q},
+  {&KeyMapper::PEV_STRAFE_RIGHT,         "StrafeRight",                      SDLK_e},
+
+  {&KeyMapper::PEV_FIRE1,                CONFIG_NAME_PLAYER_FIRE,            EV_MOUSE_BUTTON_LEFT},
+  {&KeyMapper::PEV_FIRE2,                "Fire2",                            EV_MOUSE_BUTTON_RIGHT},
+  {&KeyMapper::PEV_NEXT_WEAPON,          CONFIG_NAME_PLAYER_NEXT_WEAPON,     EV_MOUSE_BUTTON_WHEELUP},
+  {&KeyMapper::PEV_PREVIOUS_WEAPON,      CONFIG_NAME_PLAYER_PREV_WEAPON,     EV_MOUSE_BUTTON_WHEELDOWN},
+
+  {&KeyMapper::PEV_CHANGE_SHIP,          CONFIG_NAME_PLAYER_CHANGE_SHIP,     SDLK_g},
+
+
+  {&KeyMapper::PEV_VIEW0,                CONFIG_NAME_VIEW0,                  SDLK_1},
+  {&KeyMapper::PEV_VIEW1,                CONFIG_NAME_VIEW1,                  SDLK_2},
+  {&KeyMapper::PEV_VIEW2,                CONFIG_NAME_VIEW2,                  SDLK_3},
+  {&KeyMapper::PEV_VIEW3,                CONFIG_NAME_VIEW3,                  SDLK_4},
+  {&KeyMapper::PEV_VIEW4,                CONFIG_NAME_VIEW4,                  SDLK_5},
+  {&KeyMapper::PEV_VIEW5,                CONFIG_NAME_VIEW5,                  SDLK_6},
+
+  {&KeyMapper::PEV_NEXT_WORLD,           CONFIG_NAME_NEXT_WORLD,             SDLK_x},
+  {&KeyMapper::PEV_PREVIOUS_WORLD,       CONFIG_NAME_PREV_WORLD,             SDLK_z},
+
+  {&KeyMapper::PEV_PAUSE,                CONFIG_NAME_PAUSE,                  SDLK_p},
+  {&KeyMapper::PEV_QUIT,                 CONFIG_NAME_QUIT,                   SDLK_ESCAPE},
+  {NULL, "", 0}
 };
 
Index: branches/qt_gui/src/lib/event/key_mapper.h
===================================================================
--- branches/qt_gui/src/lib/event/key_mapper.h	(revision 7637)
+++ branches/qt_gui/src/lib/event/key_mapper.h	(revision 7638)
@@ -22,4 +22,5 @@
     int*              pValue;
     const std::string pName;
+    int               defaultValue;
   };
 
Index: branches/qt_gui/src/lib/event/key_names.cc
===================================================================
--- branches/qt_gui/src/lib/event/key_names.cc	(revision 7637)
+++ branches/qt_gui/src/lib/event/key_names.cc	(revision 7638)
@@ -17,9 +17,22 @@
 #include "event_def.h"
 
-#include "stdincl.h"
-
-#include <string.h>
-
-using namespace std;
+std::string EVToKeyName(int key)
+{
+  std::string name = SDLBToButtonname( key );
+  if (name != "UNKNOWN")
+    return name;
+  else
+    return SDLKToKeyname( key );
+}
+
+int KeyNameToEV(const std::string& keyName)
+{
+  int key = buttonnameToSDLB( keyName );
+  if (key != -1)
+    return key;
+  else
+    return keynameToSDLK( keyName );
+}
+
 
 int buttonnameToSDLB(const std::string& name)
@@ -33,5 +46,5 @@
 }
 
-const char* SDLBToButtonname( int button)
+std::string SDLBToButtonname( int button)
 {
         if( button == EV_MOUSE_BUTTON_LEFT) return "BUTTON_LEFT";
@@ -181,5 +194,5 @@
 }
 
-const char* SDLKToKeyname(int key)
+std::string SDLKToKeyname(int key)
 {
         if( key == SDLK_BACKSPACE) return "BACKSPACE";
Index: branches/qt_gui/src/lib/event/key_names.h
===================================================================
--- branches/qt_gui/src/lib/event/key_names.h	(revision 7637)
+++ branches/qt_gui/src/lib/event/key_names.h	(revision 7638)
@@ -11,5 +11,19 @@
 
 /**
- *  converts a button name string to a integer representing the corresponding SDL mouse button identifier
+ * @brief converts an EVKey into a String, naming the Event.
+ * @param key the Key (either key or button) to convert.
+ * @returns the String containing the Event.
+ */
+std::string EVToKeyName(int key);
+/**
+ * @brief converts a KeyName into an Event.
+ * @param keyName the Key to transform.
+ * @returns the Event-Number
+ */
+int KeyNameToEV(const std::string& keyName);
+
+
+/**
+ * @brief converts a button name string to a integer representing the corresponding SDL mouse button identifier
  * @param name: the name of the mouse button
  * @return an int containing the SDL identifier of the mouse button or -1 if the button name is not valid
@@ -18,12 +32,12 @@
 
 /**
- *  converst a SDL mouse button identifier to a name string
+ * @brief converst a SDL mouse button identifier to a name string
  * @param button: an SDL mouse button identifier
  * @return a pointer to a string containing the name of the mouse button
  */
-const char* SDLBToButtonname( int button);
+std::string SDLBToButtonname( int button);
 
 /**
- *  converts a key name string to a integer representing the corresponding SDLK sym
+ * @brief converts a key name string to a integer representing the corresponding SDLK sym
  * @param name: the name of the key
  * @return the SDLK sym of the named key or -1 if the key name is not valid
@@ -32,10 +46,9 @@
 
 /**
- *  converts an SDLK sym to a name string
+ * @brief converts an SDLK sym to a name string
  * @param key: the SDLK sym
  * @return a pointer to a string containig the name of the key
  */
-const char* SDLKToKeyname( int key);
-
+std::string SDLKToKeyname( int key);
 
 #endif /* _KEY_NAMES_H */
Index: branches/qt_gui/src/lib/gui/qt_gui/gui_control.cc
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/gui_control.cc	(revision 7637)
+++ branches/qt_gui/src/lib/gui/qt_gui/gui_control.cc	(revision 7638)
@@ -55,5 +55,5 @@
         layout->addWidget(label, i, 0);
 
-        GuiControlInput* input = new GuiControlInput(map->pName, this, "test");
+        GuiControlInput* input = new GuiControlInput(map->pName, this, EVToKeyName(map->defaultValue));
         layout->addWidget(input, i, 1);
 