Index: /code/branches/lastmanstanding/data/levels/gametype_dynamicmatch.oxw
===================================================================
--- /code/branches/lastmanstanding/data/levels/gametype_dynamicmatch.oxw	(revision 7639)
+++ /code/branches/lastmanstanding/data/levels/gametype_dynamicmatch.oxw	(revision 7640)
@@ -68,9 +68,9 @@
 <?lua
 max = 20
-for i = 1, max, 1
+for i = 0, max, 1
 do
     y = math.sin(i/max*6)*4000
     z = math.cos(i/max*6)*5000
-    x = i*100
+    x = 0
     ?>
 <?lua
Index: /code/branches/lastmanstanding/data/overlays/lastmanstandinghud.oxo
===================================================================
--- /code/branches/lastmanstanding/data/overlays/lastmanstandinghud.oxo	(revision 7639)
+++ /code/branches/lastmanstanding/data/overlays/lastmanstandinghud.oxo	(revision 7640)
@@ -2,5 +2,5 @@
   <OverlayGroup name="DynamicmatcHUD" scale = "1, 1">
    
- <GametypeStaticMessage
+ <!--GametypeStaticMessage
    name     = "staticmessage"
    position = "0.5, 0.01"
@@ -10,24 +10,13 @@
    colour   = "1.0, 1.0, 0.5, 1.0"
    align    = "center"
-  />
+  /-->
 
 <GametypeFadingMessage
      name     = "fadingmessage"
-     position = "0.5, 0.05"
+     position = "0.5, 0.01"
      font     = "VeraMono"
      textsize = 0.04
      colour   = "1.0, 1.0, 0.5, 1.0"
      align    = "center"
-    />
-    <LastManStandingInfos
-     position  = "0.63, 0.05"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.04
-     colour    = "0.8, 0.8, 1.0, 1.0"
-     align     = "right"
-
-     showlives     = true
-     showplayers     = false
     />
 
@@ -42,4 +31,16 @@
     />
 
+    <LastManStandingInfos
+     position  = "0.15, 0.02"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     showlives     = true
+     showplayers     = false
+    />
+
     <OverlayText
      position  = "0.02, 0.055"
@@ -50,4 +51,16 @@
      align     = "left"
      caption   = "Players: "
+    />
+
+    <LastManStandingInfos
+     position  = "0.15, 0.055"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     showlives     = false
+     showplayers     = true
     />
 
Index: /code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.cc
===================================================================
--- /code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.cc	(revision 7639)
+++ /code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.cc	(revision 7640)
@@ -64,11 +64,4 @@
                     this->spawnPlayer(it->first);
                 }
-                else if (0>=playerLives_[it->first])
-                {
-                    if (it->first->getClientID()== CLIENTID_UNKNOWN)
-                        continue;
-                    const std::string& message2 = "You have lost all " +multi_cast<std::string>(lives)+ " lives." ;
-                    this->gtinfo_->sendFadingMessage(message2,it->first->getClientID());
-                }
             }
     }
@@ -115,4 +108,5 @@
             Host::Broadcast(message);
         }
+
         return true;
     }
@@ -173,12 +167,4 @@
         this->playerDelayTime_[player]=respawnDelay;
         this->inGame_[player]=true;
-        //Update: EachPlayer's "Players in Game"-HUD
-        for (std::map<PlayerInfo*, Player>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
-        {
-            if (it->first->getClientID() == CLIENTID_UNKNOWN)
-                continue;
-            const std::string& message1 = "Remaining Players: "+ multi_cast<std::string>(playersAlive);
-            this->gtinfo_->sendStaticMessage(message1,it->first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
-        }
     }
 
@@ -192,12 +178,4 @@
             this->playerDelayTime_.erase (player);
             this->inGame_.erase (player);
-            //Update: EachPlayer's "Players in Game"-HUD
-            for (std::map<PlayerInfo*, Player>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
-            {
-                if (it->first->getClientID() == CLIENTID_UNKNOWN)
-                    continue;
-                const std::string& message1 = "Remaining Players: "+ multi_cast<std::string>(playersAlive);
-                this->gtinfo_->sendStaticMessage(message1,it->first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
-            }
         }
 
@@ -211,27 +189,13 @@
         this->timeToAct_[player]=timeRemaining+3.0f+respawnDelay;//reset timer
         this->playerDelayTime_[player]=respawnDelay;
-        //Update: Individual Players "lifes"-HUD
-        std::map<PlayerInfo*, Player>::iterator it2 = this->players_.find(player);
-        if (it2 != this->players_.end())
-        {
-            if (it2->first->getClientID()== CLIENTID_UNKNOWN)
+        
+        std::map<PlayerInfo*, Player>::iterator it = this->players_.find(player);
+        if (it != this->players_.end())
+        {
+            if (it->first->getClientID()== CLIENTID_UNKNOWN)
                 return;
-            const std::string& message = "Your Lives: " +multi_cast<std::string>(playerLives_[player]);
-            this->gtinfo_->sendFadingMessage(message,it2->first->getClientID());
-            const std::string& message1 = "Remaining Players: "+ multi_cast<std::string>(playersAlive);
-            this->gtinfo_->sendStaticMessage(message1,it2->first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
-        }
-    }
-
-    void LastManStanding::playerStopsControllingPawn(PlayerInfo* player, Pawn* pawn)
-    {
-        //Update: EachPlayer's "Players in Game"-HUD
-        for (std::map<PlayerInfo*, Player>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
-        {
-            if (it->first->getClientID() == CLIENTID_UNKNOWN)
-                continue;
-            const std::string& message1 = "Remaining Players: "+ multi_cast<std::string>(playersAlive);
-            this->gtinfo_->sendStaticMessage(message1,it->first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
-        }
+            const std::string& message = ""; // resets Camper-Warning-message
+            this->gtinfo_->sendFadingMessage(message,it->first->getClientID());
+        }  
     }
 
Index: /code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.h
===================================================================
--- /code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.h	(revision 7639)
+++ /code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.h	(revision 7640)
@@ -75,8 +75,7 @@
             int playerGetLives(PlayerInfo* player); //!< getFunction for the map "playerLives_".
             int getNumPlayersAlive() const; //!< Returns the number of players that are still alive.
-            virtual void playerEntered(PlayerInfo* player); //!< Initializes values. Manages the gametype's HUD. #Players alive via StaticMessage.
-            virtual bool playerLeft(PlayerInfo* player); //!< Manages the gametype's HUD. #Players alive via StaticMessage.
-            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn); //!< Manages the gametype's HUD. player's lives via FadingMessage.
-            virtual void playerStopsControllingPawn(PlayerInfo* player, Pawn* pawn);  //!< Manages the gametype's HUD. #Players alive via StaticMessage.
+            virtual void playerEntered(PlayerInfo* player); //!< Initializes values.
+            virtual bool playerLeft(PlayerInfo* player); //!< Manages all local variables.
+            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn); //!< Resets punishment time and respawn delay.
 
             void punishPlayer(PlayerInfo* player); //!< Function in order to kill a player. Punishment for hiding longer than "timeRemaining".