Index: code/branches/releasetodo/data/levels/Fight in our Back.oxw
===================================================================
--- code/branches/releasetodo/data/levels/Fight in our Back.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/Fight in our Back.oxw	(revision 7645)
@@ -2,5 +2,5 @@
   name = "Fight in our Back"
   description = "Our fleet is far ahead of us. We need to get rid of all the enemies in its back, because we do not want our enemies to attack from everywhere. So let us clear this Sector!"
-  tags = "deathmatch, quests" 
+  tags = "" 
 />
 
Index: code/branches/releasetodo/data/levels/Quest_PirateAttack.oxw
===================================================================
--- code/branches/releasetodo/data/levels/Quest_PirateAttack.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/Quest_PirateAttack.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "Pirate Attack"
  description = "Dani's Testlevel"
- tags = "test, quests"
+ tags = "test"
 />
 
Index: code/branches/releasetodo/data/levels/The Time Machine.oxw
===================================================================
--- code/branches/releasetodo/data/levels/The Time Machine.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/The Time Machine.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "The Time Machine"
  description = "A simple level. The only goal is to defeat as much enemies as you can."
- tags = "deathmatch"
+ tags = ""
 />
 
Index: code/branches/releasetodo/data/levels/empty_level.oxw
===================================================================
--- code/branches/releasetodo/data/levels/empty_level.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/empty_level.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "Empty level"
  description = "A level with absolutely nothing in it."
- tags = "empty"
+ tags = "test"
 />
 
Index: code/branches/releasetodo/data/levels/fps_test.oxw
===================================================================
--- code/branches/releasetodo/data/levels/fps_test.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/fps_test.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "FPS testlevel"
  description = "Level to test First Person Shooter"
- tags = "test, FPS"
+ tags = "test"
 />
 
Index: code/branches/releasetodo/data/levels/notifications.oxw
===================================================================
--- code/branches/releasetodo/data/levels/notifications.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/notifications.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "Notifications showcase"
  description = "Level to test and showcase notifications."
- tags = "test, showcase, notifications"
+ tags = "test, showcase"
 />
 
Index: code/branches/releasetodo/data/levels/pickups.oxw
===================================================================
--- code/branches/releasetodo/data/levels/pickups.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/pickups.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "Pickups showcase"
  description = "Level to test and showcase pickups."
- tags = "test, showcase, pickups"
+ tags = "test, showcase"
 />
 
Index: code/branches/releasetodo/data/levels/presentation_FS10.oxw
===================================================================
--- code/branches/releasetodo/data/levels/presentation_FS10.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/presentation_FS10.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "Presentation XI FPS"
  description = "2nd Presentation level for Orxonox Convention XI, FPS"
- tags = "presentation, fps"
+ tags = "presentation"
 />
 
Index: code/branches/releasetodo/data/levels/presentation_FS10_ed.oxw
===================================================================
--- code/branches/releasetodo/data/levels/presentation_FS10_ed.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/presentation_FS10_ed.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "Presentation XI FPS"
  description = "3rd Presentation level for Orxonox Convention XI, FPS"
- tags = "presentation, fps"
+ tags = "presentation"
 />
 
Index: code/branches/releasetodo/data/levels/princessaeryn.oxw
===================================================================
--- code/branches/releasetodo/data/levels/princessaeryn.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/princessaeryn.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "The Tale of Princess Aeryn"
  description = "The Tale of the elusive but beautiful Princess Aeryn"
- tags = "quests"
+ tags = ""
 />
 
Index: code/branches/releasetodo/data/levels/screenshot.oxw
===================================================================
--- code/branches/releasetodo/data/levels/screenshot.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/screenshot.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "Screenshot"
  description = "Level to make awesome screenshots in."
- tags = "test, screenshot"
+ tags = "test"
 />
 
Index: code/branches/releasetodo/data/levels/sound.oxw
===================================================================
--- code/branches/releasetodo/data/levels/sound.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/sound.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "Sound showcase"
  description = "Level to test and showcase sound."
- tags = "test, sound"
+ tags = "test"
 />
 
Index: code/branches/releasetodo/data/levels/teamdeathmatch.oxw
===================================================================
--- code/branches/releasetodo/data/levels/teamdeathmatch.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/teamdeathmatch.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "Team Deathmatch"
  description = "Fight against each other in teams."
- tags = "deathmatch"
+ tags = ""
 />
 
Index: code/branches/releasetodo/data/levels/test_stars.oxw
===================================================================
--- code/branches/releasetodo/data/levels/test_stars.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/test_stars.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "Stars Testlevel"
  description = "Level to test stars"
- tags = "test, stars"
+ tags = "test"
 />
 
Index: code/branches/releasetodo/data/levels/test_swallow.oxw
===================================================================
--- code/branches/releasetodo/data/levels/test_swallow.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/test_swallow.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "Swallow Testlevel"
  description = "Level to test the swallow spaceship."
- tags = "test, swallow"
+ tags = "test"
 />
 
Index: code/branches/releasetodo/data/levels/waypoints.oxw
===================================================================
--- code/branches/releasetodo/data/levels/waypoints.oxw	(revision 7644)
+++ code/branches/releasetodo/data/levels/waypoints.oxw	(revision 7645)
@@ -2,5 +2,5 @@
  name = "Waypoints Testlevel"
  description = "Testing waypoings for AI controlled spaceships."
- tags = "test, waypoints"
+ tags = "test"
 />
 
Index: code/branches/releasetodo/src/libraries/core/GUIManager.cc
===================================================================
--- code/branches/releasetodo/src/libraries/core/GUIManager.cc	(revision 7644)
+++ code/branches/releasetodo/src/libraries/core/GUIManager.cc	(revision 7645)
@@ -438,4 +438,15 @@
     }
 
+    /**
+    @brief
+        Subscribe the input function to the input event for the input window.
+        This is a helper to be used in lua, because subscribeScriptedEvent() doesn't work in lua.
+    @param window
+        The window for which the event is subscribed.
+    @param event
+        The type of event to which we subscribe.
+    @param function
+        The function that is called when the event occurs.
+    */
     void GUIManager::subscribeEventHelper(CEGUI::Window* window, const std::string& event, const std::string& function)
     {
@@ -443,4 +454,12 @@
     }
 
+    /**
+    @brief
+        Set the input tooltip text for the input ListboxItem.
+    @param item
+        The ListboxItem for which the tooltip should be set.
+    @param tooltip
+        The tooltip text that should be set.
+    */
     void GUIManager::setTooltipTextHelper(CEGUI::ListboxItem* item, const std::string& tooltip)
     {
@@ -448,4 +467,12 @@
     }
 
+    /**
+    @brief
+        Set whether the tooltips for the input Listbox are enabled.
+    @param listbox
+        The Listbox for which to enable (or disable) tooltips.
+    @param enabled
+        Whether to enable or disabel the tooltips.
+    */
     void GUIManager::setItemTooltipsEnabledHelper(CEGUI::Listbox* listbox, bool enabled)
     {
@@ -453,4 +480,3 @@
     }
 
-    
 }
Index: code/branches/releasetodo/src/orxonox/LevelInfo.cc
===================================================================
--- code/branches/releasetodo/src/orxonox/LevelInfo.cc	(revision 7644)
+++ code/branches/releasetodo/src/orxonox/LevelInfo.cc	(revision 7645)
@@ -77,6 +77,10 @@
 
     }
-    
-    void LevelInfoItem::initializeTags(void)
+
+    /**
+    @brief
+        Initialize the set of allowed tags.
+    */
+    /*static*/ void LevelInfoItem::initializeTags(void)
     {
         if(!LevelInfoItem::initialized_s)
@@ -87,4 +91,5 @@
             LevelInfoItem::possibleTags_s.insert("showcase");
             LevelInfoItem::possibleTags_s.insert("tutorial");
+            LevelInfoItem::possibleTags_s.insert("presentation");
         }
     }
Index: code/branches/releasetodo/src/orxonox/LevelInfo.h
===================================================================
--- code/branches/releasetodo/src/orxonox/LevelInfo.h	(revision 7644)
+++ code/branches/releasetodo/src/orxonox/LevelInfo.h	(revision 7645)
@@ -38,5 +38,4 @@
 #include "OrxonoxPrereqs.h"
 
-#include <map>
 #include <set>
 #include <string>
@@ -121,10 +120,16 @@
         private:
             void tagsUpdated(void); //!< Updates the comma-seperated string of all tags, if the set of tags has changed.
-            
-            static std::set<std::string> possibleTags_s;
-            static const bool initialized_s = false;
-            void initializeTags(void);
-            bool validateTag(const std::string& tag)
-                { this->initializeTags(); return LevelInfoItem::possibleTags_s.find(tag) != LevelInfoItem::possibleTags_s.end(); }
+
+            static void initializeTags(void); //!< Initialize the set of allowed tags.
+            /**
+            @brief Check whether an input tag is allowed.
+            @param tag The tag to check.
+            @return Returns true if the input tag is allowed, false if not.
+            */
+            static bool validateTag(const std::string& tag)
+                { LevelInfoItem::initializeTags(); return LevelInfoItem::possibleTags_s.find(tag) != LevelInfoItem::possibleTags_s.end(); }
+
+            static std::set<std::string> possibleTags_s; //!< The set of allowed tags.
+            static const bool initialized_s = false; //!< Whether the set of allowed tags has been inizialized.
 
             std::string name_; //!< The name of the Level.
@@ -140,5 +145,5 @@
         - @b name The name of the level.
         - @b description The description of the level.
-        - @b tags A comma-seperated string of tags.
+        - @b tags A comma-seperated string of tags. Allowed tags are: <em>test</em>, <em>singleplayer</em>, <em>multiplayer</em>, <em>showcase</em>, <em>tutorial</em>, <em>presentation</em>.
 
         An example would be: