Index: code/branches/releasetodo/data/gui/layouts/MultiplayerMenu.layout
===================================================================
--- code/branches/releasetodo/data/gui/layouts/MultiplayerMenu.layout	(revision 7646)
+++ code/branches/releasetodo/data/gui/layouts/MultiplayerMenu.layout	(revision 7647)
@@ -15,5 +15,5 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.6375,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.7,0}}" />
             <Window Type="MenuWidgets/Listbox" Name="orxonox/MultiplayerListbox" >
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -23,5 +23,5 @@
                 <Property Name="Text" Value="Join" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.85,0},{0.3,0},{0.95,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.81,0},{0.3,0},{0.89,0}}" />
                 <Event Name="SelectStateChanged" Function="MultiplayerMenu.MultiplayerJoinButton_clicked"/>
             </Window>
@@ -29,5 +29,5 @@
                 <Property Name="Text" Value="Host" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.85,0},{0.6,0},{0.95,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.81,0},{0.6,0},{0.89,0}}" />
                 <Event Name="SelectStateChanged" Function="MultiplayerMenu.MultiplayerHostButton_clicked"/>
             </Window>
@@ -35,6 +35,13 @@
                 <Property Name="Text" Value="Dedicated" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.7,0},{0.85,0},{0.9,0},{0.95,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.7,0},{0.81,0},{0.9,0},{0.89,0}}" />
                 <Event Name="SelectStateChanged" Function="MultiplayerMenu.MultiplayerDedicatedButton_clicked"/>
+            </Window>
+            <Window Type="MenuWidgets/Checkbox" Name="orxonox/MultiplayerShowAllCheckbox" >
+                <Property Name="Text" Value="show all" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.65,0},{0.89,0},{0.8,0},{0.99,0}}" />
+                <Property Name="Disabled" Value="True" />
+                <Event Name="CheckStateChanged" Function="MultiplayerMenu.MultiplayerShowAll_clicked"/>
             </Window>
         </Window>
@@ -42,5 +49,5 @@
             <Property Name="Text" Value="Start" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.6625,0},{0.4875,0},{0.7125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.725,0},{0.4875,0},{0.775,0}}" />
             <Event Name="Clicked" Function="MultiplayerMenu.MultiplayerStartButton_clicked"/>
         </Window>
@@ -48,5 +55,5 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.6625,0},{0.7125,0},{0.7125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.725,0},{0.7125,0},{0.775,0}}" />
             <Event Name="Clicked" Function="MultiplayerMenu.MultiplayerBackButton_clicked"/>
         </Window>
Index: code/branches/releasetodo/data/gui/scripts/MultiplayerMenu.lua
===================================================================
--- code/branches/releasetodo/data/gui/scripts/MultiplayerMenu.lua	(revision 7646)
+++ code/branches/releasetodo/data/gui/scripts/MultiplayerMenu.lua	(revision 7647)
@@ -16,4 +16,6 @@
         local button = tolua.cast(window,"CEGUI::RadioButton")
         button:setSelected(true)
+        local checkbox = winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox")
+        checkbox:setProperty("Disabled", "True")
         P.showServerList()
     end
@@ -22,4 +24,6 @@
         local button = tolua.cast(window,"CEGUI::RadioButton")
         button:setSelected(true)
+        local checkbox = winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox")
+        checkbox:setProperty("Disabled", "False")
         P.showLevelList()
     end
@@ -28,4 +32,6 @@
         local button = tolua.cast(window,"CEGUI::RadioButton")
         button:setSelected(true)
+        local checkbox = winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox")
+        checkbox:setProperty("Disabled", "True")
         P.showLevelList()
     end
@@ -34,4 +40,6 @@
 function P.MultiplayerJoinButton_clicked(e)
     P.multiplayerMode = "startClient"
+    local checkbox = winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox")
+    checkbox:setProperty("Disabled", "True")
     P.showServerList()
 end
@@ -39,4 +47,6 @@
 function P.MultiplayerHostButton_clicked(e)
     P.multiplayerMode = "startServer"
+    local checkbox = winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox")
+    checkbox:setProperty("Disabled", "False")
     P.showLevelList()
 end
@@ -44,5 +54,16 @@
 function P.MultiplayerDedicatedButton_clicked(e)
     P.multiplayerMode = "startDedicated"
+    local checkbox = winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox")
+    checkbox:setProperty("Disabled", "True")
     P.showLevelList()
+end
+
+function P.MultiplayerShowAll_clicked(e)
+    local checkbox = tolua.cast(winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox"), "CEGUI::Checkbox")
+    local show = checkbox:isSelected()
+    if show ~= P.showAll then
+        P.showAll = show
+        P.createLevelList()
+    end
 end
 
@@ -95,5 +116,5 @@
         index = index + 1
     end
-    --TODO: Reintroduce sorting, if needed.
+    --TODO: Reintroduce sorting, if needed. At the moment it's sorted by filename.
     --table.sort(levelList)
     for k,v in pairs(P.levelList) do
@@ -105,7 +126,4 @@
         end
         P.itemList[k] = listbox:getListboxItemFromIndex(k-1)
-        --TODO: The description as tooltip would be nice.
-        --local lItem = P.itemList[k]
-        --lItem:setTooltipText(v:getDescription())
         orxonox.GUIManager:setTooltipTextHelper(P.itemList[k], v:getDescription())
     end
Index: code/branches/releasetodo/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- code/branches/releasetodo/data/gui/scripts/SingleplayerMenu.lua	(revision 7646)
+++ code/branches/releasetodo/data/gui/scripts/SingleplayerMenu.lua	(revision 7647)
@@ -33,5 +33,5 @@
         index = index + 1
     end
-    --TODO: Reintroduce sorting, if needed.
+    --TODO: Reintroduce sorting, if needed. At the moment it's sorted by filename.
     --table.sort(levelList)
     for k,v in pairs(P.levelList) do
@@ -43,7 +43,4 @@
         end
         P.itemList[k] = listbox:getListboxItemFromIndex(k-1)
-        --TODO: The description as tooltip would be nice.
-        --local lItem = tolua.cast("CEGUI::ListboxItem", P.itemList[k])
-        --lItem:setTooltipText(v:getDescription())
         orxonox.GUIManager:setTooltipTextHelper(P.itemList[k], v:getDescription())
     end
Index: code/branches/releasetodo/data/levels/events.oxw
===================================================================
--- code/branches/releasetodo/data/levels/events.oxw	(revision 7646)
+++ code/branches/releasetodo/data/levels/events.oxw	(revision 7647)
@@ -2,5 +2,5 @@
   name = "Events showcase"
   description = "Level to test and showcase events."
-  tags = "test, showcase, events" 
+  tags = "test, showcase" 
 />
 