Index: code/trunk/data/gui/layouts/MultiplayerMenu.layout
===================================================================
--- code/trunk/data/gui/layouts/MultiplayerMenu.layout	(revision 7612)
+++ code/trunk/data/gui/layouts/MultiplayerMenu.layout	(revision 7648)
@@ -15,5 +15,5 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.6375,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.7,0}}" />
             <Window Type="MenuWidgets/Listbox" Name="orxonox/MultiplayerListbox" >
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -23,5 +23,5 @@
                 <Property Name="Text" Value="Join" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.85,0},{0.3,0},{0.95,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.81,0},{0.3,0},{0.89,0}}" />
                 <Event Name="SelectStateChanged" Function="MultiplayerMenu.MultiplayerJoinButton_clicked"/>
             </Window>
@@ -29,5 +29,5 @@
                 <Property Name="Text" Value="Host" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.85,0},{0.6,0},{0.95,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.81,0},{0.6,0},{0.89,0}}" />
                 <Event Name="SelectStateChanged" Function="MultiplayerMenu.MultiplayerHostButton_clicked"/>
             </Window>
@@ -35,6 +35,13 @@
                 <Property Name="Text" Value="Dedicated" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.7,0},{0.85,0},{0.9,0},{0.95,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.7,0},{0.81,0},{0.9,0},{0.89,0}}" />
                 <Event Name="SelectStateChanged" Function="MultiplayerMenu.MultiplayerDedicatedButton_clicked"/>
+            </Window>
+            <Window Type="MenuWidgets/Checkbox" Name="orxonox/MultiplayerShowAllCheckbox" >
+                <Property Name="Text" Value="show all" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.65,0},{0.89,0},{0.8,0},{0.99,0}}" />
+                <Property Name="Disabled" Value="True" />
+                <Event Name="CheckStateChanged" Function="MultiplayerMenu.MultiplayerShowAll_clicked"/>
             </Window>
         </Window>
@@ -42,5 +49,5 @@
             <Property Name="Text" Value="Start" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.6625,0},{0.4875,0},{0.7125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.725,0},{0.4875,0},{0.775,0}}" />
             <Event Name="Clicked" Function="MultiplayerMenu.MultiplayerStartButton_clicked"/>
         </Window>
@@ -48,5 +55,5 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.6625,0},{0.7125,0},{0.7125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.725,0},{0.7125,0},{0.775,0}}" />
             <Event Name="Clicked" Function="MultiplayerMenu.MultiplayerBackButton_clicked"/>
         </Window>
Index: code/trunk/data/gui/layouts/SingleplayerMenu.layout
===================================================================
--- code/trunk/data/gui/layouts/SingleplayerMenu.layout	(revision 7612)
+++ code/trunk/data/gui/layouts/SingleplayerMenu.layout	(revision 7648)
@@ -15,8 +15,14 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.6375,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.7,0}}" />
             <Window Type="MenuWidgets/Listbox" Name="orxonox/SingleplayerLevelListbox" >
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.85,0}}" />
+            </Window>
+            <Window Type="MenuWidgets/Checkbox" Name="orxonox/SingleplayerShowAllCheckbox" >
+                <Property Name="Text" Value="show all" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.65,0},{0.87,0},{0.8,0},{.97,0}}" />
+                <Event Name="CheckStateChanged" Function="SingleplayerMenu.SingleplayerShowAll_clicked"/>
             </Window>
         </Window>
@@ -24,5 +30,5 @@
             <Property Name="Text" Value="Start" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.6625,0},{0.4875,0},{0.7125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.725,0},{0.4875,0},{0.775,0}}" />
             <Event Name="Clicked" Function="SingleplayerMenu.SingleplayerStartButton_clicked"/>
         </Window>
@@ -30,5 +36,5 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.6625,0},{0.7125,0},{0.7125,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.725,0},{0.7125,0},{0.775,0}}" />
             <Event Name="Clicked" Function="SingleplayerMenu.SingleplayerBackButton_clicked"/>
         </Window>
Index: code/trunk/data/gui/scripts/MultiplayerMenu.lua
===================================================================
--- code/trunk/data/gui/scripts/MultiplayerMenu.lua	(revision 7612)
+++ code/trunk/data/gui/scripts/MultiplayerMenu.lua	(revision 7648)
@@ -2,4 +2,8 @@
 
 local P = createMenuSheet("MultiplayerMenu")
+
+P.levelList = {}
+P.itemList = {}
+P.showAll = false
 
 function P.onLoad()
@@ -12,4 +16,6 @@
         local button = tolua.cast(window,"CEGUI::RadioButton")
         button:setSelected(true)
+        local checkbox = winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox")
+        checkbox:setProperty("Disabled", "True")
         P.showServerList()
     end
@@ -18,4 +24,6 @@
         local button = tolua.cast(window,"CEGUI::RadioButton")
         button:setSelected(true)
+        local checkbox = winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox")
+        checkbox:setProperty("Disabled", "False")
         P.showLevelList()
     end
@@ -24,4 +32,6 @@
         local button = tolua.cast(window,"CEGUI::RadioButton")
         button:setSelected(true)
+        local checkbox = winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox")
+        checkbox:setProperty("Disabled", "True")
         P.showLevelList()
     end
@@ -30,4 +40,6 @@
 function P.MultiplayerJoinButton_clicked(e)
     P.multiplayerMode = "startClient"
+    local checkbox = winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox")
+    checkbox:setProperty("Disabled", "True")
     P.showServerList()
 end
@@ -35,4 +47,6 @@
 function P.MultiplayerHostButton_clicked(e)
     P.multiplayerMode = "startServer"
+    local checkbox = winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox")
+    checkbox:setProperty("Disabled", "False")
     P.showLevelList()
 end
@@ -40,5 +54,16 @@
 function P.MultiplayerDedicatedButton_clicked(e)
     P.multiplayerMode = "startDedicated"
+    local checkbox = winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox")
+    checkbox:setProperty("Disabled", "True")
     P.showLevelList()
+end
+
+function P.MultiplayerShowAll_clicked(e)
+    local checkbox = tolua.cast(winMgr:getWindow("orxonox/MultiplayerShowAllCheckbox"), "CEGUI::Checkbox")
+    local show = checkbox:isSelected()
+    if show ~= P.showAll then
+        P.showAll = show
+        P.createLevelList()
+    end
 end
 
@@ -69,33 +94,40 @@
 
 function P.showLevelList()
-    local listbox = winMgr:getWindow("orxonox/MultiplayerListbox")
-    CEGUI.toListbox(listbox):resetList()
+    P.createLevelList()
+end
+
+function P.createLevelList()
+    P.levelList = {}
+    P.itemList = {}
+    local listbox = CEGUI.toListbox(winMgr:getWindow("orxonox/MultiplayerListbox"))
+    listbox:resetList()
+    orxonox.GUIManager:setItemTooltipsEnabledHelper(listbox, true)
     local preselect = orxonox.LevelManager:getInstance():getDefaultLevel()
-    orxonox.LevelManager:getInstance():compileAvailableLevelList()
-    local levelList = {}
+    local size = orxonox.LevelManager:getInstance():getNumberOfLevels()
     local index = 0
-    local level = ""
-    while true do
+    local level = nil
+    while index < size do
         level = orxonox.LevelManager:getInstance():getAvailableLevelListItem(index)
-        if level == "" then
-            break
+        if level ~= nil then
+            if P.showAll or not level:hasTag("test") then
+                table.insert(P.levelList, level)
+            end
         end
-        table.insert(levelList, level)
         index = index + 1
     end
-    table.sort(levelList)
-    index = 1
-    for k,v in pairs(levelList) do
-        local item = CEGUI.createListboxTextItem(v)
+    --TODO: Reintroduce sorting, if needed. At the moment it's sorted by filename.
+    --table.sort(levelList)
+    for k,v in pairs(P.levelList) do
+        local item = CEGUI.createListboxTextItem(v:getName())
         item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
-        item:setID(index)
-        index = index + 1
-        CEGUI.toListbox(listbox):addItem(item)
-        if v .. ".oxw" == preselect then
+        listbox:addItem(item)
+        if v:getXMLFilename() == preselect then
             listbox:setItemSelectState(item, true)
         end
+        P.itemList[k] = listbox:getListboxItemFromIndex(k-1)
+        orxonox.GUIManager:setTooltipTextHelper(P.itemList[k], v:getDescription())
     end
-    end
-    
+end
+
 function P.showServerList()
     local listbox = winMgr:getWindow("orxonox/MultiplayerListbox")
Index: code/trunk/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- code/trunk/data/gui/scripts/SingleplayerMenu.lua	(revision 7612)
+++ code/trunk/data/gui/scripts/SingleplayerMenu.lua	(revision 7648)
@@ -3,38 +3,69 @@
 local P = createMenuSheet("SingleplayerMenu")
 
+P.levelList = {}
+P.itemList = {}
+P.showAll = false
+
 function P.onLoad()
-    listbox = winMgr:getWindow("orxonox/SingleplayerLevelListbox")
-    preselect = orxonox.LevelManager:getInstance():getDefaultLevel()
-    orxonox.LevelManager:getInstance():compileAvailableLevelList()
-    local levelList = {}
+    local window = winMgr:getWindow("orxonox/SingleplayerShowAllCheckbox")
+    local button = tolua.cast(window,"CEGUI::Checkbox")
+    button:setSelected(false)
+    P.createLevelList()
+end
+
+function P.createLevelList()
+    P.levelList = {}
+    P.itemList = {}
+    local listbox = CEGUI.toListbox(winMgr:getWindow("orxonox/SingleplayerLevelListbox"))
+    listbox:resetList()
+    orxonox.GUIManager:setItemTooltipsEnabledHelper(listbox, true)
+    local preselect = orxonox.LevelManager:getInstance():getDefaultLevel()
+    local size = orxonox.LevelManager:getInstance():getNumberOfLevels()
     local index = 0
-    local level = ""
-    while true do
-      level = orxonox.LevelManager:getInstance():getAvailableLevelListItem(index)
-      if level == "" then
-        break
-      end
-      table.insert(levelList, level)
-      index = index + 1
+    local level = nil
+    while index < size do
+        level = orxonox.LevelManager:getInstance():getAvailableLevelListItem(index)
+        if level ~= nil then
+            if P.showAll or not level:hasTag("test") then
+                table.insert(P.levelList, level)
+            end
+        end
+        index = index + 1
     end
-    table.sort(levelList)
-    for k,v in pairs(levelList) do
-        item = CEGUI.createListboxTextItem(v)
+    --TODO: Reintroduce sorting, if needed. At the moment it's sorted by filename.
+    --table.sort(levelList)
+    for k,v in pairs(P.levelList) do
+        local item = CEGUI.createListboxTextItem(v:getName())
         item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
-        CEGUI.toListbox(listbox):addItem(item)
-        if v .. ".oxw" == preselect then
+        listbox:addItem(item)
+        if v:getXMLFilename() == preselect then
             listbox:setItemSelectState(item, true)
         end
+        P.itemList[k] = listbox:getListboxItemFromIndex(k-1)
+        orxonox.GUIManager:setTooltipTextHelper(P.itemList[k], v:getDescription())
     end
-
 end
 
 function P.SingleplayerStartButton_clicked(e)
-    local choice = CEGUI.toListbox(winMgr:getWindow("orxonox/SingleplayerLevelListbox")):getFirstSelectedItem()
-    if choice then
-        orxonox.LevelManager:getInstance():setDefaultLevel(choice:getText() .. ".oxw")
-        orxonox.execute("startGame")
-        hideAllMenuSheets()
+    local listbox = CEGUI.toListbox(winMgr:getWindow("orxonox/SingleplayerLevelListbox"))
+    local choice = listbox:getFirstSelectedItem()
+    if choice ~= nil then
+        local index = listbox:getItemIndex(choice)
+        local level = P.levelList[index+1]
+        if level ~= nil then
+            orxonox.LevelManager:getInstance():setDefaultLevel(level:getXMLFilename())
+            orxonox.execute("startGame")
+            hideAllMenuSheets()
+        end
     end
+end
+
+function P.SingleplayerShowAll_clicked(e)
+    local checkbox = tolua.cast(winMgr:getWindow("orxonox/SingleplayerShowAllCheckbox"), "CEGUI::Checkbox")
+    local show = checkbox:isSelected()
+    if show ~= P.showAll then
+        P.showAll = show
+        P.createLevelList()
+   end
 end
 
Index: code/trunk/data/levels/Fight in our Back.oxw
===================================================================
--- code/trunk/data/levels/Fight in our Back.oxw	(revision 7612)
+++ code/trunk/data/levels/Fight in our Back.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+  name = "Fight in our Back"
+  description = "Our fleet is far ahead of us. We need to get rid of all the enemies in its back, because we do not want our enemies to attack from everywhere. So let us clear this Sector!"
+  tags = "" 
+/>
+
 <?lua
     include("stats.oxo")
Index: code/trunk/data/levels/Quest_PirateAttack.oxw
===================================================================
--- code/trunk/data/levels/Quest_PirateAttack.oxw	(revision 7612)
+++ code/trunk/data/levels/Quest_PirateAttack.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Pirate Attack"
+ description = "Dani's Testlevel"
+ tags = "test"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/The Time Machine.oxw
===================================================================
--- code/trunk/data/levels/The Time Machine.oxw	(revision 7612)
+++ code/trunk/data/levels/The Time Machine.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "The Time Machine"
+ description = "A simple level. The only goal is to defeat as much enemies as you can."
+ tags = ""
+/>
+
 <?lua 
     include("stats.oxo")
Index: code/trunk/data/levels/empty_level.oxw
===================================================================
--- code/trunk/data/levels/empty_level.oxw	(revision 7612)
+++ code/trunk/data/levels/empty_level.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Empty level"
+ description = "A level with absolutely nothing in it."
+ tags = "test"
+/>
+
 <?lua
   include("stats.oxo")
Index: code/trunk/data/levels/events.oxw
===================================================================
--- code/trunk/data/levels/events.oxw	(revision 7612)
+++ code/trunk/data/levels/events.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+  name = "Events showcase"
+  description = "Level to test and showcase events."
+  tags = "test, showcase" 
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/fps_test.oxw
===================================================================
--- code/trunk/data/levels/fps_test.oxw	(revision 7612)
+++ code/trunk/data/levels/fps_test.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "FPS testlevel"
+ description = "Level to test First Person Shooter"
+ tags = "test"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/notifications.oxw
===================================================================
--- code/trunk/data/levels/notifications.oxw	(revision 7612)
+++ code/trunk/data/levels/notifications.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Notifications showcase"
+ description = "Level to test and showcase notifications."
+ tags = "test, showcase"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/pickups.oxw
===================================================================
--- code/trunk/data/levels/pickups.oxw	(revision 7612)
+++ code/trunk/data/levels/pickups.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Pickups showcase"
+ description = "Level to test and showcase pickups."
+ tags = "test, showcase"
+/>
+
 <?lua
   include("stats.oxo")
Index: code/trunk/data/levels/presentation.oxw
===================================================================
--- code/trunk/data/levels/presentation.oxw	(revision 7612)
+++ code/trunk/data/levels/presentation.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation"
+ description = "Presentation Level"
+ tags = "presentation"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/presentation09.oxw
===================================================================
--- code/trunk/data/levels/presentation09.oxw	(revision 7612)
+++ code/trunk/data/levels/presentation09.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation X"
+ description = "1st Presentation level for Orxonox Convention X"
+ tags = "presentation"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/presentation09b.oxw
===================================================================
--- code/trunk/data/levels/presentation09b.oxw	(revision 7612)
+++ code/trunk/data/levels/presentation09b.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation X2"
+ description = "2nd Presentation level for Orxonox Convention X"
+ tags = "presentation"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/presentationFS10.oxw
===================================================================
--- code/trunk/data/levels/presentationFS10.oxw	(revision 7612)
+++ code/trunk/data/levels/presentationFS10.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation XI"
+ description = "1st Presentation level for Orxonox Convention XI"
+ tags = "presentation"
+/>
+
 <?lua
   include("stats.oxo")
Index: code/trunk/data/levels/presentationHS09.oxw
===================================================================
--- code/trunk/data/levels/presentationHS09.oxw	(revision 7612)
+++ code/trunk/data/levels/presentationHS09.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation X"
+ description = "1st Presentation level for Orxonox Convention X"
+ tags = "presentation"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/presentationHS09b.oxw
===================================================================
--- code/trunk/data/levels/presentationHS09b.oxw	(revision 7612)
+++ code/trunk/data/levels/presentationHS09b.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation X"
+ description = "2nd Presentation level for Orxonox Convention X"
+ tags = "presentation"
+/>
+
 <?lua
   include("stats.oxo")
Index: code/trunk/data/levels/presentation_FS10.oxw
===================================================================
--- code/trunk/data/levels/presentation_FS10.oxw	(revision 7612)
+++ code/trunk/data/levels/presentation_FS10.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation XI FPS"
+ description = "2nd Presentation level for Orxonox Convention XI, FPS"
+ tags = "presentation"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/presentation_FS10_ed.oxw
===================================================================
--- code/trunk/data/levels/presentation_FS10_ed.oxw	(revision 7612)
+++ code/trunk/data/levels/presentation_FS10_ed.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation XI FPS"
+ description = "3rd Presentation level for Orxonox Convention XI, FPS"
+ tags = "presentation"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/presentation_dm.oxw
===================================================================
--- code/trunk/data/levels/presentation_dm.oxw	(revision 7612)
+++ code/trunk/data/levels/presentation_dm.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Presentation DM"
+ description = "Presentation Level"
+ tags = "presentation"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/princessaeryn.oxw
===================================================================
--- code/trunk/data/levels/princessaeryn.oxw	(revision 7612)
+++ code/trunk/data/levels/princessaeryn.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "The Tale of Princess Aeryn"
+ description = "The Tale of the elusive but beautiful Princess Aeryn"
+ tags = ""
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/screenshot.oxw
===================================================================
--- code/trunk/data/levels/screenshot.oxw	(revision 7612)
+++ code/trunk/data/levels/screenshot.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Screenshot"
+ description = "Level to make awesome screenshots in."
+ tags = "test"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/sound.oxw
===================================================================
--- code/trunk/data/levels/sound.oxw	(revision 7612)
+++ code/trunk/data/levels/sound.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Sound showcase"
+ description = "Level to test and showcase sound."
+ tags = "test"
+/>
+
 <?lua
   include("stats.oxo")
Index: code/trunk/data/levels/teambasematchlevel.oxw
===================================================================
--- code/trunk/data/levels/teambasematchlevel.oxw	(revision 7612)
+++ code/trunk/data/levels/teambasematchlevel.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Teambase Match"
+ description = "Fight for the bases."
+ tags = ""
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/teamdeathmatch.oxw
===================================================================
--- code/trunk/data/levels/teamdeathmatch.oxw	(revision 7612)
+++ code/trunk/data/levels/teamdeathmatch.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Team Deathmatch"
+ description = "Fight against each other in teams."
+ tags = ""
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/test_stars.oxw
===================================================================
--- code/trunk/data/levels/test_stars.oxw	(revision 7612)
+++ code/trunk/data/levels/test_stars.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Stars Testlevel"
+ description = "Level to test stars"
+ tags = "test"
+/>
+
 <?lua
   include("stats.oxo")
Index: code/trunk/data/levels/test_swallow.oxw
===================================================================
--- code/trunk/data/levels/test_swallow.oxw	(revision 7612)
+++ code/trunk/data/levels/test_swallow.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Swallow Testlevel"
+ description = "Level to test the swallow spaceship."
+ tags = "test"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/tutorial.oxw
===================================================================
--- code/trunk/data/levels/tutorial.oxw	(revision 7612)
+++ code/trunk/data/levels/tutorial.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Coding Tutorial"
+ description = "Level for the coding tutorial."
+ tags = "tutorial"
+/>
+
 <?lua
   include("hudtemplates3.oxo")
Index: code/trunk/data/levels/waypoints.oxw
===================================================================
--- code/trunk/data/levels/waypoints.oxw	(revision 7612)
+++ code/trunk/data/levels/waypoints.oxw	(revision 7648)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Waypoints Testlevel"
+ description = "Testing waypoings for AI controlled spaceships."
+ tags = "test"
+/>
+
 <?lua
   include("hudtemplates3.oxo")